
.cookie-popup {
    opacity: 1;
    position: fixed;
    z-index: 11100;
    box-shadow: 0 5px 10px 2px rgba(0, 0, 0, 0.1);
    padding: 16px;
    background: #FFFFFF;
    bottom: 40px;
    left: 50%;
    transform: translate(-50%, 0);
    border-radius: 10px;
    width: calc(100% - 240px);

    transition-property: opacity;
    transition-duration: 0.5s;
    transition-timing-function: ease;
}

.cookie-popup__row {
    display: flex;
    gap: 24px;
    align-items: center;
}

.cookie-popup__text {
    font-weight: 500;
    font-size: 14px;
    line-height: 24px;
    text-align: center;
    color: #212529;
}

.cookie-popup__text a {
    color: #212529;
    text-decoration: underline;
}

.cookie-popup__btn {
    all: unset;
    border-radius: 6px;
    width: 74px;
    min-width: 74px;
    height: 40px;
    color: #FFFFFF;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    text-align: center;
    align-items: center;
    justify-content: center;
    display: flex;
    background: #212529;
    cursor: pointer;
}

.cookie-popup--hide {
    pointer-events: none;
    opacity: 0;
}

@media (hover: hover) {

    .cookie-popup__text a:hover {
        color: #5A5D75;
        text-decoration: underline;
    }
    
    .cookie-popup__btn:hover {
        background: #5A5D75;
    }

}

@media (hover: none) {

    .cookie-popup__text a:active {
        color: #5A5D75;
        text-decoration: underline;
    }
    
    .cookie-popup__btn:active {
        background: #5A5D75;
    }

}

@media (max-width: 1255px) {

    .cookie-popup {
        width: calc(100% - 160px);
    }

}

@media (max-width: 1023px) {

    .cookie-popup {
        width: calc(100% - 32px);
        bottom: 24px;
    }

}

@media (max-width: 767px) {
    
    .cookie-popup {
        max-width: calc(100% - 32px);
    }

    .cookie-popup__row {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 16px;
    }

}
